List actions available for a supported runtime surface.
GET
/api/workspace/entity/{entityIdOrKey}/ui/actions
using System.Net.Http.Headers;var client = new HttpClient();var request = new HttpRequestMessage{ Method = HttpMethod.Get, RequestUri = new Uri("https://example.com/api/workspace/entity/example/ui/actions"),};using (var response = await client.SendAsync(request)){ response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body);}const url = 'https://example.com/api/workspace/entity/example/ui/actions';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/workspace/entity/example/ui/actionsAuthorizations
Section titled “Authorizations”- None
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”entityIdOrKey
required
string
Query Parameters
Section titled “Query Parameters”Surface
string
access_token
string
Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.
Responses
Section titled “Responses”OK
Media typeapplication/json
object
Data
Array<object>
Runtime action exposed on one supported entity UI surface. Input schema payloads include versioned nullability and typed Boolean or Select defaults when authored by the current Package SDK.
object
ActionId
string
BusinessFunctionId
string
BusinessFunctionVersionId
string
OperationKey
string
EntityDefinitionId
string
Surface
integer format: int32
ActionTargetScope
integer format: int32
Placement
integer format: int32
ToolbarPresentation
integer format: int32
SortOrder
integer format: int32
Label
string
Icon
string
Color
string
Variant
string
PermissionKey
string
HasInput
boolean
InputSchemaPayload
string
InputFormPayload
string
InputCardPayload
string
Errors
Array<object>
object
Code
required
string
Message
required
string
Target
string
Field
string
Metadata
object
key
additional properties
string
Type
integer format: int32
Severity
integer format: int32
Warnings
Array<object>
object
Code
required
string
Message
required
string
Target
string
Field
string
Metadata
object
key
additional properties
string
Type
integer format: int32
Severity
integer format: int32
Success
boolean
Example
{ "Data": [ { "Surface": 0, "ActionTargetScope": 0, "Placement": 0, "ToolbarPresentation": 0 } ], "Errors": [ { "Type": 0, "Severity": 0 } ], "Warnings": [ { "Type": 0, "Severity": 0 } ]}Bad Request
Media typeapplication/json
object
Data
Array<object>
Runtime action exposed on one supported entity UI surface. Input schema payloads include versioned nullability and typed Boolean or Select defaults when authored by the current Package SDK.
object
ActionId
string
BusinessFunctionId
string
BusinessFunctionVersionId
string
OperationKey
string
EntityDefinitionId
string
Surface
integer format: int32
ActionTargetScope
integer format: int32
Placement
integer format: int32
ToolbarPresentation
integer format: int32
SortOrder
integer format: int32
Label
string
Icon
string
Color
string
Variant
string
PermissionKey
string
HasInput
boolean
InputSchemaPayload
string
InputFormPayload
string
InputCardPayload
string
Errors
Array<object>
object
Code
required
string
Message
required
string
Target
string
Field
string
Metadata
object
key
additional properties
string
Type
integer format: int32
Severity
integer format: int32
Warnings
Array<object>
object
Code
required
string
Message
required
string
Target
string
Field
string
Metadata
object
key
additional properties
string
Type
integer format: int32
Severity
integer format: int32
Success
boolean
Example
{ "Data": [ { "Surface": 0, "ActionTargetScope": 0, "Placement": 0, "ToolbarPresentation": 0 } ], "Errors": [ { "Type": 0, "Severity": 0 } ], "Warnings": [ { "Type": 0, "Severity": 0 } ]}Forbidden
Media typeapplication/json
object
type
string
title
string
status
integer format: int32
detail
string
instance
string
key
additional properties
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}Not Found
Media typeapplication/json
object
Data
Array<object>
Runtime action exposed on one supported entity UI surface. Input schema payloads include versioned nullability and typed Boolean or Select defaults when authored by the current Package SDK.
object
ActionId
string
BusinessFunctionId
string
BusinessFunctionVersionId
string
OperationKey
string
EntityDefinitionId
string
Surface
integer format: int32
ActionTargetScope
integer format: int32
Placement
integer format: int32
ToolbarPresentation
integer format: int32
SortOrder
integer format: int32
Label
string
Icon
string
Color
string
Variant
string
PermissionKey
string
HasInput
boolean
InputSchemaPayload
string
InputFormPayload
string
InputCardPayload
string
Errors
Array<object>
object
Code
required
string
Message
required
string
Target
string
Field
string
Metadata
object
key
additional properties
string
Type
integer format: int32
Severity
integer format: int32
Warnings
Array<object>
object
Code
required
string
Message
required
string
Target
string
Field
string
Metadata
object
key
additional properties
string
Type
integer format: int32
Severity
integer format: int32
Success
boolean
Example
{ "Data": [ { "Surface": 0, "ActionTargetScope": 0, "Placement": 0, "ToolbarPresentation": 0 } ], "Errors": [ { "Type": 0, "Severity": 0 } ], "Warnings": [ { "Type": 0, "Severity": 0 } ]}